# studio::Dialog_Waypoint Class Reference

`#include <dialog_waypoint.h>`

List of all members.

## Public Member Functions

| Dialog_Waypoint (Gtk::Window &parent, etl::handle< synfig::Canvas > canvas)
| ~Dialog_Waypoint ()
void | reset ()
void | set_value_desc (synfigapp::ValueDesc value_desc)
synfigapp::ValueDesc | get_value_desc () const
void | set_waypoint (synfig::ValueNode_Animated::Waypoint x)
const synfig::ValueNode_Animated::Waypoint & | get_waypoint () const
sigc::signal< void > & | signal_changed ()
sigc::signal< void > & | signal_delete ()

## Constructor & Destructor Documentation

Dialog_Waypoint::Dialog_Waypoint | ( | Gtk::Window & | parent,
|  | etl::handle< synfig::Canvas > | canvas |
| ) |  |  |

Dialog_Waypoint::~Dialog_Waypoint | ( |  | ) |

## Member Function Documentation

void Dialog_Waypoint::reset | ( |  | ) |

void Dialog_Waypoint::set_value_desc | ( | synfigapp::ValueDesc | value_desc | ) |

References synfigapp::ValueDesc::get_value_node(), and studio::Widget_Waypoint::set_canvas().

synfigapp::ValueDesc studio::Dialog_Waypoint::get_value_desc | ( |  | ) | const`[inline]`

void Dialog_Waypoint::set_waypoint | ( | synfig::ValueNode_Animated::Waypoint | x | ) |

References studio::Widget_Waypoint::set_waypoint().

const synfig::ValueNode_Animated::Waypoint & Dialog_Waypoint::get_waypoint | ( |  | ) | const

References studio::Widget_Waypoint::get_waypoint().

sigc::signal<void>& studio::Dialog_Waypoint::signal_changed | ( |  | ) | `[inline]`

sigc::signal<void>& studio::Dialog_Waypoint::signal_delete | ( |  | ) | `[inline]`

The documentation for this class was generated from the following files:

- dialog_waypoint.h
- dialog_waypoint.cpp